EDIT - feature request #3709

[E+M][Editor] sufficient rights management for E+M workflow
09/09/2013 12:56 PM - Andreas Kohlbecker

Status: Resolved Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 80%
Category: taxeditor Estimated time: 20:00 hours
Target version: Release 5.45

Severity: major

Description

Implement rights management and roles etc. which is needed for the E+M workflow:

Groups and Authorities

In ticket #4082 (implement default permission groups) the default PermissionGroups habe been implemented for Eumed ( and
hopefully also for other databases). These default permission groups have to be combined and others have to be created manually in
order to create the effective user groups for euro + med, which are:

1. das Editorial Board, das Lese- und Schreibrechte auf samtlichen Daten hat (ROLE_PUBLISH + group ProjectManager + group
Editor + group Euro+Med Plantbase")

2. die einzelnen Autoren, die Lese-und Schreibrechte fir ihre jeweilige taxonomische Gruppe (Familie, Gattung etc. mit allen darin
enthaltenen Taxa) haben, aber zum Beispiel keine neuen bibliographischen Referenzen (etwa fur geographische Angaben)
editiern, hinzufligen oder 16schen dirfen - nomenklatorische Referenzen dirfen sie hinzufigen, aber bestehende Referenzen
nicht &ndern oder l6schen.

Im CDM sollen Autoren aber grundsétzlich Referenzen anlegen dirfen. Sie miissen dann eben prifen, ob die Referenz schon
existiert! (group Editor + group __ "))

1. Eine dritte Ebene betrifft die Eingabe von Common Names - diese Nutzer dirfen an der Taxonomie und den Namen nichts
andern, sondern lediglich Informationen (factual data) mit entsprechenden bibl. Referenzen hinzufiigen.

Additional Groups:

Group Euro+Med Plantbase:

TAXONNODE . [CREATE, READ, UPDATE, DELETE]
Group **:

TAXONNODE . [CREATE, READ, UPDATE, DELETE] {$uuid}

see also milestone Taxeditor-security

Requirements
e protect cdm types with CdmAuthorities:

o Taxon - OK

o TaxonNode - OK

o Terms - TODO: Group Editor = TERMBASE[CREATE,READ]; new Group Project Admin = ROLE_PROJECT_MANAGER,
TERMBASE[CREATE,READ,UPDATE;DELETE]

References - TODO Group Editor = REFERENCE[CREATE,READ]; new Group Project_ Admin =
ROLE_PROJECT_MANAGER, REFERENCE[CREATE,READ,UPDATE;DELETE]

Names - TODO Group Editor = TAXONNAMEBASE[CREATE,READ]; new Group Project Admin =
ROLE_PROJECT_MANAGER, TAXONNAMEBASE[CREATE,READ,UPDATE;DELETE]

(o]

o]
http://dev.e-taxonomy.eu/trac/query?group=status&milestone=Taxeditor-security

® Restrict permission to edit, create, remove taxa can be restricted to one or multiple taxonomic groups - seems to be working
-but the editor displays aggressive and technical error dialogues in case a user dares to execute a prohibited operation-. Three
actions need be taken to improve this situation:

1. #4056 (taxeditor responds with nicer dialogue in case a user executes a prohibited operation)

2. #3781 (Protect new and delete TaxonNode commands [DISCUSS])

3. #4055 (operations offered by editor adapt to the users granted authorities) - UNDER REVIEW

4. #4111 (behaviour of TaxonEditor for users with limited grants [DISCUSS])

5.abug: #4115 (‘editor' users cannot create new references via the reference select list)

e Publish flag: A person allowed to edit a taxonomic group should not at the same time be allowed to publish this taxon. Therefore
a special PUBLISH role is needed, which can be global or bound to a classification:

e}
o
Q
e}

publish flag in cdmlib: #1780 (Publish bit instead of marker)
#4101 (publish bit must not set by default for new taxa)
permission management: #3980 (Implement PUBLISH role into cdmlib security)

editor: #3739 (Allow editing of publish bit for Taxon and SpecimenOrObservationBase), #3951 (Allow editing of publish bit

for SpecimenOrObservationBase), #4011 (disallow changing publish flag for users with unsuffcient rights)
#4132 (automatic setting of the publish flag after editing an entity ([DISCUSS])

o #4133 (publish flag inheritance for new taxa [DISCUSS])

¢ Users, Groups and Granted authorities can be more or less easily managed:

o #2282 (Implement User and Group Management facilities in the Taxonomic Editor)

(
o #2414 (Group updating doesn't work)
(

o #3782 (Security Context is not updated after editing GrantedAuthorities of a Group)

(o]

#4082 (implement default permission groups)

lower priority tickets:

#4013 (GrantedAuthority: Humane label of TaxonNode authorities)
#4014 (user friendly way to assign Authotity Roles to users or to Groups)
#4052 (disentangle Group, Role, CdmAuthority, GrantedAuthoritylmpl, ...)
#4054 (Taxeditor, Group Bulkeditor cannot delete Group)

o O o O O

Related issues:

Related to EDIT - feature request #4101: Default value for publish bit of new...
Related to EDIT - feature request #4011: disallow changing publish flag for u...
Related to EDIT - feature request #4133: publish flag inheritance for new tax...

Closed
Worksforme 03/11/2022
Duplicate

Related to EDIT - feature request #4014: User friendly way to assign Authorit... New
Related to EDIT - feature request #5873: Implement rights&roles for TaxEditor... In Progress
Related to EDIT - feature request #6162: Implement "Forgot your password?" bu... New
Related to EDIT - task #3560: Withheld unpublished taxa from webservice used ... Resolved
Related to EDIT - feature request #4305: newly created entities must stay edi... In Progress
Related to EDIT - feature request #8239: Rights issues in TaxEditor New

03/18/2022

History

#1 - 09/09/2013 02:21 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker
#2 - 10/17/2013 05:06 PM - Andreas Kohlbecker

from email

Hallo Andreas und alle anderen,

(sorry Cherian for this Email completely in German)

hier die PermissionGroups die fir Eumed und alle anderen Datenbanken gebraucht werden um die Rechte von Nutzern auf einzelne taxonomische

Gruppen einschranken zu kdnnen.
https://dev.e-taxonomy.eu/redmine/issues/4101
https://dev.e-taxonomy.eu/redmine/issues/4011
https://dev.e-taxonomy.eu/redmine/issues/4133
https://dev.e-taxonomy.eu/redmine/issues/4014
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Pasted

Group "Editor" (wird immer gebraucht):

DESCRIPTIONELEMENTBASE.DESCRIPTIONBASE.[CREATE.UPDATE ,DELETE.READ

TAXONBASE.[CREATE,UPDATE,DELETE,READ]
Pro Taxonomische Gruppe dann eine spezielle Gruppe, z.b

Compositae

TAXONNODE.READ, UPDATE, DELETE{820604dc-00ac-4ffb-95d7-aébcc012900f}

(keine Ahnung ob diese UUID stimmt ;-) ist nur ein Beispiel)

Ein User bekommt dann immer die Gruppe "Editor" plus eine spezielle TaxonNode bezogene Gruppe, und los geht's mit dem Editieren mit
eingeschrénkten Rechten

viele GriiBe
Andreas

#3 - 10/17/2013 05:44 PM - Andreas Kohlbecker

- Status changed from New to In Progress

#4 - 08/18/2014 12:15 PM - Andreas Kohlbecker

- Keywords set to Euro+Med,Migration

#11 - 06/20/2017 08:14 AM - Andreas Kohlbecker

- Related to feature request #4101: Default value for publish bit of new taxa must be configurable via DB preferences added

#15 - 06/20/2017 08:14 AM - Andreas Kohlbecker

- Related to feature request #4011: disallow changing publish flag for users with unsuffcient rights added

#17 - 06/20/2017 08:15 AM - Andreas Kohlbecker
- Related to feature request #4133: publish flag inheritance for new taxa [DISCUSS] added

#22 - 06/20/2017 08:15 AM - Andreas Kohlbecker

- Related to feature request #4014: User friendly way to assign Authority Roles to users or to Groups added

#25 - 06/20/2017 08:16 AM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#26 - 06/20/2017 08:17 AM - Andreas Kohlbecker
- Related to feature request #5873: Implement rights&roles for TaxEditor distribution editor added

#27 - 06/20/2017 08:17 AM - Andreas Kohlbecker

- Related to feature request #6162: Implement "Forgot your password?" button in the Taxeditor connect dialog added

#28 - 06/20/2017 08:17 AM - Andreas Kohlbecker
- Related to task #3560: Withheld unpublished taxa from webservice used in E+M dataportal added

#31 - 06/20/2017 08:18 AM - Andreas Kohlbecker

- Related to feature request #4305: newly created entities must stay editable even if a user only has the permission to create them added

#34 - 05/25/2018 12:36 PM - Andreas Miiller
- Estimated time set to 20:00 h

#35 - 04/11/2019 12:03 PM - Katja Luther
- Related to feature request #8239: Rights issues in TaxEditor added
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/CREATEUPDATEDELETEREAD%5D
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/CREATE

#36 - 05/13/2019 02:22 PM - Andreas Miiller

- Target version changed from Euro+Med Migration to Euro+Med TaxEditor issues

#37 - 11/04/2019 12:54 PM - Andreas Kohlbecker

- Tags changed from euro+med, migration to euro+med, migration, permission

#38 - 02/21/2022 03:54 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- Target version changed from Euro+Med TaxEditor issues to Release 5.45

This is either fixed or needs to be split.

#39 - 03/11/2022 11:40 AM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.31

#40 - 03/11/2022 03:09 PM - Andreas Miiller
- Due date set to 03/16/2022

#41 - 03/11/2022 03:10 PM - Andreas Miiller
- % Done changed from 0 to 80

#42 - 03/11/2022 03:11 PM - Andreas Miiller
- Start date set to 01/01/2019
- % Done changed from 80 to 0

#43 - 03/11/2022 03:11 PM - Andreas Miiller
- % Done changed from 0 to 80

#44 - 03/11/2022 03:12 PM - Andreas Miiller
- Start date changed from 01/01/2019 to 03/07/2022

#45 - 03/16/2022 09:24 AM - Andreas Miiller
- Description updated
- Start date changed from 03/07/2022 to 03/10/2022

- Severity changed from critical to major

#46 - 03/16/2022 09:27 AM - Andreas Miiller
- Due date changed from 03/16/2022 to 03/21/2022
- Start date changed from 03/10/2022 to 03/16/2022

#47 - 03/24/2022 10:33 PM - Andreas Miiller
- Due date changed from 03/21/2022 to 04/08/2022
- Target version changed from Release 5.31 to Release 5.32

- Start date changed from 03/16/2022 to 04/01/2022

This is a review ticket only and therefore we can postpone it a bit.

#48 - 05/07/2022 10:37 AM - Andreas Miiller
- Due date deleted (04/08/2022)
- Target version changed from Release 5.32 to Release 5.45

- Start date deleted (04/01/2022)
